@ECHO OFF
SETLOCAL ENABLEDELAYEDEXPANSION
@ECHO Processing file %1:
SET EXT=%1
SET EXT=!EXT:~-3!
CALL :UpCase EXT
SET FILENAME=%1
IF !EXT!==8EU (
@ECHO Extracting data from 83PCE OS upgrade %1 first...
Analyze8EX %1
SET FILENAME=%FILENAME:~0,-4%_all.img
)
IF !EXT!==8PU (
@ECHO Extracting data from 84+CE OS upgrade %1 first...
Analyze8EX %1
SET FILENAME=%FILENAME:~0,-4%_all.img
)
@ECHO Deleting any existing files...
DEL %FILENAME%.0* 2>NUL
DEL OS*.8xv 2>NUL
@ECHO Splitting into individual files...
splits %FILENAME% 63
@ECHO Creating AppVars...
FOR /f %%f IN ('dir /b %FILENAME%.0*') do (
SET PART=%%f
SET PART=!PART:~-3!
@ECHO.   Part !PART!...
To8XV %%f OS!PART!
)
@ECHO Deleting temporary files...
DEL %FILENAME%.0* 2>NUL
DEL *_all.img 2>NUL
DEL *_data.img 2>NUL
@ECHO Done.
EXIT /B 0

:UpCase
:: Subroutine to convert a variable VALUE to all upper case.
:: The argument for this subroutine is the variable NAME.
SET %~1=!%1:a=A!
SET %~1=!%1:b=B!
SET %~1=!%1:c=C!
SET %~1=!%1:d=D!
SET %~1=!%1:e=E!
SET %~1=!%1:f=F!
SET %~1=!%1:g=G!
SET %~1=!%1:h=H!
SET %~1=!%1:i=I!
SET %~1=!%1:j=J!
SET %~1=!%1:k=K!
SET %~1=!%1:l=L!
SET %~1=!%1:m=M!
SET %~1=!%1:n=N!
SET %~1=!%1:o=O!
SET %~1=!%1:p=P!
SET %~1=!%1:q=Q!
SET %~1=!%1:r=R!
SET %~1=!%1:s=S!
SET %~1=!%1:t=T!
SET %~1=!%1:u=U!
SET %~1=!%1:v=V!
SET %~1=!%1:w=W!
SET %~1=!%1:x=X!
SET %~1=!%1:y=Y!
SET %~1=!%1:z=Z!
GOTO:EOF
